MagenMagen Docs

Get Transaction Receipt

GET
/proof/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Transaction ID.

Query Parameters

type?string

Return format.

Default"pdf"
Value in"pdf" | "base64"

Header Parameters

Content-Type*string

Obrigatório em toda chamada Magen.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.magen.processamento.com/v1/proof/MAGEN2025081418333632CYKN8M?type=pdf" \  -H "Content-Type: application/json"
{
  "base64": "JVBERi0xLjQKJ..."
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}